// CMainWindow.h

#ifndef _CMAINWINDOW_H_INCLUDED_
#define _CMAINWINDOW_H_INCLUDED_

#include "../fluid_project/CFluidWindow.h"

class CMainWindow : public CFluidWindow {
    static const double TICK_TIMEOUT; // seconds
    static const int DEFAULT_PROGRESS_COUNT = 10;
    int m_progress_count;

public:
    CMainWindow();
    void show();
    void click_btn_animate();
    bool animate();
    void set_progress_count( int count );

    // callback functions
    static void callback_window_closing(Fl_Widget* widg, void* userdata_);
    static void callback_btn_animate(Fl_Widget* widg, void* userdata_);
    static void callback_animate( void* userdata_ );
};//class CMainWindow

#endif // _CMAINWINDOW_H_INCLUDED_
